#pragma once

#include <sign_session/client.h>
#include <base/connection.h>

namespace Sign {
	enum {
		DEFAULT_BUFFER_SIZE = DATA_SIZE+SIGNATURE_SIZE+CERTIFICATE_SIZE
	};
	struct Connection;
}


struct Sign::Connection : Genode::Connection<Session>, Session_client
{


	/**
	 * Constructor
	 */
	Connection(Genode::Env &env, char const *label = "")
	:
		Genode::Connection<Session>(env, session(env.parent(),
		                                         "ram_quota=%ld, cap_quota=%ld, label=\"%s\"",
		                                         DEFAULT_BUFFER_SIZE, CAP_QUOTA, label)),
		Session_client(env.rm(), cap())
	{
	}
};

